%define bigfov 0
# distro_section==tainted builds libpano with fov > 160 support 
# wich is patent covered so disabled by default (for core section)

%if "%{?distro_section}" == "tainted"
%define bigfov 1
%endif

%define lib_major 3
%define libname %mklibname pano13_ %{lib_major}
%define develname %mklibname -d pano13

Name:		libpano13
Version:	2.9.19
Release:	%mkrel 2
Summary:	Panorama Tools library
License:	GPLv2+
Group:		System/Libraries
URL:		http://panotools.sourceforge.net/
Source:		http://downloads.sourceforge.net/panotools/%{name}-%{version}.tar.gz
BuildRequires:	java-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel

%description
Helmut Dersch's Panorama Tools

%if %bigfov
This package is in the 'tainted' section because there is a patent if FOV is > 160
%endif

%package tools
Summary:	Panorama Tools library
Group:		Graphics/Utilities

%description tools
Utilies for Helmut Dersch's Panorama Tools.

%package -n %{libname}
Summary:	Panorama Tools library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	libpano0
Obsoletes:	%{_lib}pano13_0 < %{version}-%{release}

%description -n %{libname}
Libraries for Helmut Dersch's Panorama Tools.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pano13-devel = %{version}-%{release}

%description -n %{develname}
Developent headers for Helmut Dersch's Panorama Tools.

%prep
%setup -q

%build
export LIBS="-lm"
%if %bigfov
perl -pi -e "s|\#define\s+MAX_FISHEYE_FOV.*|\#define MAX_FISHEYE_FOV 3600|" filter.h
%endif
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure2_5x --enable-shared=yes --enable-static=no
%make

%install
%makeinstall
rm -f %{buildroot}%{_libdir}/*.la

%files tools
%doc README.linux README.windows
%{_bindir}/PT*
%{_bindir}/panoinfo
%{_mandir}/man1/*.1.*

%files -n %{libname}
%{_libdir}/libpano13.so.%{lib_major}*

%files -n %{develname}
%{_includedir}/pano13
%{_libdir}/libpano13.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.9.19-2.mga5
+ Revision: 742685
- Second Mageia 5 Mass Rebuild

* Mon Aug 25 2014 fwang <fwang> 2.9.19-1.mga5.tainted
+ Revision: 667260
- bump major
- 2.9.19

* Sat Oct 19 2013 umeabot <umeabot> 2.9.18-9.mga5
+ Revision: 525880
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.9.18-8.mga4.tainted
+ Revision: 434915
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.9.18-7.mga3.tainted
+ Revision: 357943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 guillomovitch <guillomovitch> 2.9.18-6.mga3.tainted
+ Revision: 328118
- drop .la files

  + ovitters <ovitters>
    - clean spec
    - fix rpm group

* Fri Dec 23 2011 fwang <fwang> 2.9.18-5.mga2.tainted
+ Revision: 186417
- rebuild for new tiff

* Sat Sep 10 2011 fwang <fwang> 2.9.18-4.mga2.tainted
+ Revision: 142188
- rebuild for new libpng

* Thu Jun 23 2011 fwang <fwang> 2.9.18-3.mga2.tainted
+ Revision: 112581
- correct obsoletes

* Thu Jun 23 2011 fwang <fwang> 2.9.18-2.mga2
+ Revision: 112577
- fix libmajor

* Wed Jun 22 2011 fwang <fwang> 2.9.18-1.mga2.tainted
+ Revision: 111930
- update file list
- New version 2.9.18

* Sun May 29 2011 cjw <cjw> 2.9.17-3.mga1.tainted
+ Revision: 100689
- add support for tainted builds

* Thu Apr 21 2011 misc <misc> 2.9.17-2.mga1
+ Revision: 89328
- fix License
- fix BuildRequires
- be explicit about the patch options

* Fri Feb 18 2011 mikala <mikala> 2.9.17-1.mga1
+ Revision: 53477
- Remove BuildRoot
- Clean mdk macros
- imported package libpano13

